Bug 308701 - firefox quits unexpectedly (X Window System error, BadRequest)
firefox quits unexpectedly (X Window System error, BadRequest)
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-27 06:38 EDT by Michael V. Antosha
Modified: 2008-01-15 09:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 09:40:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
stack trace: firefox breakpoint'ed in gdk_x_error() (27.82 KB, text/plain)
2007-09-27 06:38 EDT, Michael V. Antosha
no flags Details
another backtrace, more source line numbers info (25.72 KB, text/plain)
2007-10-01 05:36 EDT, Michael V. Antosha
no flags Details
one more stack trace (39.15 KB, text/plain)
2007-10-03 04:49 EDT, Michael V. Antosha
no flags Details
one more crash: now _XIDHandler() called from XCreateGC() (57.23 KB, text/plain)
2007-10-04 10:16 EDT, Michael V. Antosha
no flags Details

  None (edit)
Description Michael V. Antosha 2007-09-27 06:38:27 EDT
Description of problem:

For history, please, refer to those bugs:

   Bugzilla Bug 277941   (the first bug report, panel apps...)
   Bugzilla Bug 282691   (xchat)
   Bugzilla Bug 301051   (thunderbird)

Similar thing for the firefox.
Crashed from time to time...
gdk_x_error() reports "BadRequest" (X Window System error).

I've installed debuginfo package for gtk2 and breakpoint'ed on gdk_x_error()
function. Now I have the first meaningful stack trace (see the attachment).

Version-Release number of selected component (if applicable):


Versions of packages that seem related (see the stack trace):


How reproducible:

Crashes from time to time, the exact moment of crash is unpredictable.

Steps to Reproduce:
1. mv -i /usr/bin/firefox /usr/bin/debug-firefox #(to prevent accidental running
of firefox without GDB)
2. debug-firefox -g
3. (gdb) set height 0   # (switching off pagination)
4. (gdb) breakpoint gdk_x_error # (answer "y" about future shared library load)
5. (gdb) run
6. make sure that gdk_x_error() breakpoint resolved by GDB (gtk2-debuginfo
package needed for that)
7. use firefox for a long time (several days) without closing it, and wait the
moment when the breakpoint triggers
8. (gdb) thread apply all bt   # (getting the stack trace)
9. (gdb) continue   # (to make sure that firefox exited due to "BadRequest" X
Window error)
Actual results:

   firefox crashes, all windows disappears
Comment 1 Michael V. Antosha 2007-09-27 06:38:27 EDT
Created attachment 208171 [details]
stack trace: firefox breakpoint'ed in gdk_x_error()
Comment 2 Michael V. Antosha 2007-09-27 06:42:44 EDT
> 2. debug-firefox -g

sorry, forgot about "--sync" option:

   debug-firefox -g --sync
Comment 3 Michael V. Antosha 2007-09-27 12:13:15 EDT
I've just updated firefox and some other packages:


I've also installed additional debuginfo packages:


Here are current version of my packages:

$ date; rpm -q --qf '%{SOURCERPM}\n' libX11 cairo pango firefox \
  glib2 glibc libX11-debuginfo cairo-debuginfo pango-debuginfo \
  firefox-debuginfo glib2-debuginfo glibc-debuginfo \
  | sort --unique
Thu Sep 27 18:34:17 EEST 2007

I'm trying to catch the same error again in order to (1) be sure that problem
persists in the latest versions, as well... and to (2) gather more detailed
backtrace (using all that debuginfo packages).
Comment 4 Michael V. Antosha 2007-10-01 05:36:25 EDT
Created attachment 212161 [details]
another backtrace, more source line numbers info

Another stack trace.
Problem persists with updated packages.
This new backtrace has more info related to source code (debuginfo packages

What else could I do to find the bug's cause? (I'm not familiar with GDB
techniques, any help would be appreciated.)

If you want me to gather additional information, please, tell me, what to do
(and how to do it).

Thank you in advance!
Comment 5 Michael V. Antosha 2007-10-03 04:49:04 EDT
Created attachment 214411 [details]
one more stack trace

One more backtrace.
Slightly different now.
_XIDHandler() called from XRenderCreatePicture() now, not from XCreatePixmap().
Comment 6 Christopher Aillon 2007-10-03 11:20:24 EDT
Is there a specific website that triggers this?  I think there's a duplicate of
this filed against the x server, but can't seem to find it...
Comment 7 Michael V. Antosha 2007-10-03 11:31:29 EDT
(In reply to comment #6)
> Is there a specific website that triggers this?

Definitely not.

> I think there's a duplicate of
> this filed against the x server, but can't seem to find it...

Do you think I should duplicate this bug for libX11 package as a component?
Comment 8 Michael V. Antosha 2007-10-04 10:16:03 EDT
Created attachment 215831 [details]
one more crash: now _XIDHandler() called from XCreateGC()

I know almost nothing about X Window internals. That's why it's hard for me to
determine the right component (package), responsible for the crashes...

Seems, I still should create a bug report for libX11 package.
Comment 9 Michael V. Antosha 2007-10-04 12:33:35 EDT
Bug 318561 -- new bug report, with libX11 as a component.
Comment 10 Sami Farin 2007-11-04 11:15:42 EST
my firefox crashes when accessing page
XCreatePixmap in backtrace

(gdb) bt
#0  0x000000300ce54e46 in gdk_x_error () from /usr/lib64/libgdk-x11-2.0.so.0
#1  0x0000003002243cd2 in _XError () from /usr/lib64/libX11.so.6
#2  0x000000300224af67 in process_responses () from /usr/lib64/libX11.so.6
#3  0x000000300224b583 in _XReply () from /usr/lib64/libX11.so.6
#4  0x000000300223fa51 in XSync () from /usr/lib64/libX11.so.6
#5  0x000000300223fbeb in _XSyncFunction () from /usr/lib64/libX11.so.6
#6  0x000000300224b26e in _XIDHandler () from /usr/lib64/libX11.so.6
#7  0x0000003002221b45 in XCreatePixmap () from /usr/lib64/libX11.so.6
#8  0x000000300ce56901 in gdk_pixmap_new () from /usr/lib64/libgdk-x11-2.0.so.0
#9  0x00007f9913c51e15 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#10 0x00007f9913c4f5e1 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#11 0x00007f9913c4f740 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#12 0x00007f9913c61ded in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#13 0x00007f991527bd62 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#14 0x00007f9915279d23 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#15 0x00007f9915279b58 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#16 0x00007f991527a2a4 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#17 0x00007f991527a2f5 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#18 0x000000300ae59026 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#19 0x000000300ae5bf5d in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#20 0x00007f991527a5d2 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#21 0x00007f9915276dba in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#22 0x00007f9919ac77c6 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#23 0x00007f9919b1ceac in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#24 0x00007f9919aafec9 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#25 0x00007f9919aaffb5 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#26 0x000000300ae5d457 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#27 0x000000300ae74ad5 in PL_HandleEvent () from
#28 0x000000300ae74ce7 in PL_ProcessPendingEvents ()
   from /usr/lib64/firefox-
#29 0x000000300ae75fd8 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#30 0x00007f99182fdd96 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#31 0x0000003006a31914 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#32 0x0000003006a349a7 in g_main_context_iterate () from /lib64/libglib-2.0.so.0
#33 0x0000003006a34d05 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#34 0x000000300196315b in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#35 0x00007f99182fe17a in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#36 0x00007f991780a832 in __cxa_pure_virtual ()
   from /usr/lib64/firefox-
#37 0x0000000000408797 in __cxa_pure_virtual ()
#38 0x000000300041e074 in __libc_start_main () from /lib64/libc.so.6
#39 0x0000000000403a39 in __cxa_pure_virtual ()
#40 0x00007ffffaf66bf8 in ?? ()
#41 0x0000000000000000 in ?? ()
Comment 11 Matěj Cepl 2007-12-10 04:25:05 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 12 Matěj Cepl 2008-01-15 09:40:29 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.